---

kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: golang
    commands:
      - apt-get update
      - apt-get install -y libolm-dev
      - go build -ldflags="-s -w" -o matrix-pretix .

  - name: release
    image: plugins/gitea-release
    settings:
      api_key:
        from_secret: api_key
      base_url: https://git.luj0ga.de
      files:
        - matrix-pretix
      checksum:
        - sha256
      title: ${DRONE_TAG}
    when:
      event:
        - tag
